/*
 *
 *                 #####    #####   ######  ######  ###   ###
 *               ##   ##  ##   ##  ##      ##      ## ### ##
 *              ##   ##  ##   ##  ####    ####    ##  #  ##
 *             ##   ##  ##   ##  ##      ##      ##     ##
 *            ##   ##  ##   ##  ##      ##      ##     ##
 *            #####    #####   ##      ######  ##     ##
 *
 *
 *             OOFEM : Object Oriented Finite Element Code
 *
 *               Copyright (C) 1993 - 2008   Borek Patzak
 *
 *
 *
 *       Czech Technical University, Faculty of Civil Engineering,
 *   Department of Structural Mechanics, 166 29 Prague, Czech Republic
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

//
// FILE: contextioerr.h
//

#ifndef contextioerr_h
#define contextioerr_h

#include "contextioresulttype.h"

/// context io exception class
class ContextIOERR
{
    contextIOResultType error;
    const char *msg, *file;
    int line;

public:

    ContextIOERR(contextIOResultType e, const char *file, int line);
    ContextIOERR(contextIOResultType e, const char *msg, const char *file, int line);
    ~ContextIOERR();

    void print();
};

#define THROW_CIOERR(e) throw ContextIOERR(e, __FILE__, __LINE__);
#define THROW_CIOERRM(e, m) throw ContextIOERR(e, m, __FILE__, __LINE__);

#endif // contextioerr_h

